
from .IOs_fixtures import FixtureIOs, logging, sleep, IoFaultyTypes, IoProperty
logger = logging.getLogger(__name__)


# Create the test case class, that inherits from the preset TestFixture.
class TestApplyFaultIO(FixtureIOs):

    # This method will be executed just before
    # the test case core method execution..
    def setUp(self):
        logger.info("Setup test case")

    # This method will be executed just after
    # the test case core method execution
    def tearDown(self):
        logger.info("Tear down test case")

    # Create the test case core method that holds the main test steps.
    def test_applyFaultOnIOSignal(self):

        self.io_controller.io_apply_faulty("IOChannel_3",
                                           IoFaultyTypes.ShortCutToGnd)
        sleep(5)

        voltage = self.io_controller.io_get_last_value("IOChannel_3",
                                                       IoProperty.Voltage)
        print(voltage)

        self.io_controller.io_stop_faulty("IOChannel_3",
                                          IoFaultyTypes.ShortCutToGnd)
        sleep(5)

        self.io_controller.io_apply_faulty("IOChannel_3",
                                           IoFaultyTypes.ShortcutToVbat)
        sleep(5)
        voltage = self.io_controller.io_get_last_value("IOChannel_3",
                                                       IoProperty.Voltage)

        print(voltage)
        sleep(5)

        self.io_controller.io_stop_faulty("IOChannel_3",
                                          IoFaultyTypes.ShortcutToVbat)
        sleep(5)
